Jump to content
Sign in to follow this  
Jeff

Three more Swami Modules Ready for Testing

Recommended Posts

Tried to test it, but the following error appears:

linux@linux-Dell-Precision-M3800:~$ swami
Traceback (most recent call last):
  File "/usr/bin/swami", line 176, in <module>
    app = MainWin(launchArg)
  File "/usr/bin/swami", line 73, in __init__
    self.loadModules()
  File "/usr/bin/swami", line 129, in loadModules
    self.modules[imported] = imported.SwamiModule(self)
  File "/usr/lib/python2.7/dist-packages/swami_themeselector/swami_themeselector.py", line 67, in __init__
    self.populateThemes()
  File "/usr/lib/python2.7/dist-packages/swami_themeselector/swami_themeselector.py", line 138, in populateThemes
    self.addTheme(themeFile, ourPath)
  File "/usr/lib/python2.7/dist-packages/swami_themeselector/swami_themeselector.py", line 147, in addTheme
    edjeObj.file_set("%s/%s"%(ourPath, themeFile), "e/desktop/background")
  File "efl.edje_object.pxi", line 197, in efl.edje.Edje.file_set (efl/edje/efl.edje.c:19807)
efl.edje.EdjeLoadError: Does not exist (file='/usr/share/enlightenment/data/themes//A-Vision2.edj', group='e/desktop/background')

 

Share this post


Link to post
Share on other sites

Astroboy - I am only testing this tool against the themes we have updated to work fully with Moksha currently. I had put a fail safe into the code in case it was using an older theme, but it seems the vision theme doesn't even have a background properly setup in it. I guess I'll need to add a third check to just display no preview for such themes.

In the mean time you can remove this theme. Also be aware that even once I add the check - a seamless setting of the matching elementary theme will only be possible with the themes updated to work with Swami / Moksha.

Share this post


Link to post
Share on other sites
Sign in to follow this  

×